package com.cygnusa.hyperm.wrappers;

import java.util.ArrayList;

public class ActiveResponse {
    private String response;
    private String message;
    private String response_text;
    private int status;
    private ArrayList<DSE> data;

    public String getResponse() {
        return response;
    }

    public void setResponse(String response) {
        this.response = response;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    public String getResponse_text() {
        return response_text;
    }

    public void setResponse_text(String response_text) {
        this.response_text = response_text;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public ArrayList<DSE> getData() {
        return data == null ? new ArrayList<>() : data;
    }

    public void setData(ArrayList<DSE> data) {
        this.data = data;
    }
}
